%global momorel 3

Summary: A daemon for sending keyboard and mouse combination events when pressing mouse buttons
Name: btnx
Version: 0.4.11
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.ollisalonen.com/btnx/
Group: Applications/System
Source0: http://www.ollisalonen.com/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}.init
Patch0: %{name}-0.4.7-momonga-init.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig
BuildRequires: libdaemon-devel

%description
btnx is a daemon that sniffs events from the mouse event handler.
If it recognizes a configured event, it sends a keyboard and/or mouse
combination event to uinput. This means you can configure certain
mouse buttons to send keyboard and mouse events to X.

It is useful for mice with more buttons than window managers can
handle. It also means you won't need to manually edit your window
manager and X configurations to get additional functionality from
extra buttons.

The configuration file for btnx is located at /etc/btnx/btnx_config.
The configuration file is edited with btnx-config. You must install
and run btnx-config before btnx will work.
After changing the config file, make sure to restart btnx in btnx-config
or by running

%prep
%setup -q
%patch0 -p1 -b .init

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# overwrite %%{_initscriptdir}/btnx
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/btnx

# fix permission
chmod 755 %{buildroot}%{_sbindir}/btnx

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add btnx

%preun
if [ $1 = 0 ]; then
   %{_initscriptdir}/btnx stop > /dev/null 2>&1
   /sbin/chkconfig --del btnx
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%dir %{_sysconfdir}/btnx
%config %{_sysconfdir}/btnx/events
%config %{_initscriptdir}/btnx
%{_sbindir}/btnx

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.11-3m)
- rebuild against rpm-4.6

* Sat May 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.11-2m)
- remove Requires: btnx-config

* Fri May  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.11-1m)
- version 0.4.11

* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.9-1m)
- version 0.4.9

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.7-4m)
- rebuild against gcc43

* Tue Mar 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7-3m)
- remove dummy configuration files

* Tue Mar 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7-2m)
- fix %%preun and PreReq: chkconfig

* Tue Mar 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.7-1m)
- initial package for cutting-edge mouse freaks using Momonga Linux
